package com.zkqy.execution.produce.dispersed.entity.runbpm;

/**
 * @author hanzihang
 * @date 2023/11/14 2:39 PM
 */
public class IScriptEntity {
    // 脚本方法名称
    private String implementationName;
    // 执行流程key
    private String scriptFlowKey;
    // 执行节点key
    private String scriptNodeKey;

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("IScriptEntity{");
        sb.append("implementationName='").append(implementationName).append('\'');
        sb.append(", scriptFlowKey='").append(scriptFlowKey).append('\'');
        sb.append(", scriptNodeKey='").append(scriptNodeKey).append('\'');
        sb.append('}');
        return sb.toString();
    }

    public String getImplementationName() {
        return implementationName;
    }

    public void setImplementationName(String implementationName) {
        this.implementationName = implementationName;
    }

    public String getScriptFlowKey() {
        return scriptFlowKey;
    }

    public void setScriptFlowKey(String scriptFlowKey) {
        this.scriptFlowKey = scriptFlowKey;
    }

    public String getScriptNodeKey() {
        return scriptNodeKey;
    }

    public void setScriptNodeKey(String scriptNodeKey) {
        this.scriptNodeKey = scriptNodeKey;
    }

    public IScriptEntity() {
    }

    public IScriptEntity(String implementationName, String scriptFlowKey, String scriptNodeKey) {
        this.implementationName = implementationName;
        this.scriptFlowKey = scriptFlowKey;
        this.scriptNodeKey = scriptNodeKey;
    }
}
